

# --------------------------------------------
# app
# --------------------------------------------

- classname: _permission
  keyname: p_data_app_admin
  is_builtin: True
  description: "Built-in data_app admin permission"
  displayname: "p_data_app_admin"

- classname: _permission
  keyname: p_data_app_create
  is_builtin: True
  description: "Built-in data_app create permission"
  displayname: p_data_app_create

- classname: _permission
  keyname: p_data_app_read
  is_builtin: True
  description: "Built-in data_app read permission"
  displayname: p_data_app_read

- classname: _permission
  keyname: p_data_app_update
  is_builtin: True
  description: "Built-in data_app update permission"
  displayname: p_data_app_update
      
- classname: _permission
  keyname: p_data_app_delete
  is_builtin: True
  description: "Built-in data_app delete permission"
  displayname: p_data_app_delete

- classname: _permission
  keyname: p_data_app_import
  is_builtin: True
  description: "Built-in data_app import permission"
  displayname: p_data_app_import

- classname: _permission
  keyname: p_data_app_export
  is_builtin: True
  description: "Built-in data_app export permission"
  displayname: p_data_app_export


# -- schema app

- classname: _schema
  keyname: app
  displayname: Applications
  is_enabled: yes
  icon: fa-window-maximize
  order: 60
  page: Data
  handle_method: md5
  p_admin: p_data_app_admin
  p_create: p_data_app_create
  p_read: p_data_app_read
  p_update: p_data_app_update
  p_delete: p_data_app_delete
  p_import: p_data_app_import
  p_export: p_data_app_export

  description:
        displayname: Description
        order: 100
        dataformat: string

  notify_user:
        displayname: Notify (Users)
        page: Notifications
        order: 200
        dataformat: user
        cardinal_max: 0

  notify_group:
        displayname: Notify (Groups)
        page: Notifications
        order: 210
        dataformat: group
        cardinal_max: 0
        